Don't download the SDK if the local cache dir already has it #8

Open
sethladd opened this Issue Nov 29, 2012 · 2 comments

Projects

None yet

3 participants

@sethladd
Collaborator

Saves time over multiple deploys.

@TomTasche

in case anyone wants to pick this up: according to this blogpost (http://blog.yjl.im/2012/03/downloading-only-when-modified-using.html) we should be able to fix this issue quite easily using something like this:
curl https://github.com/selkhateeb/heroku-vagrant-dart-build/releases/download/1.2.0-dev.1.0/dart-sdk.tar -z dart-sdk.tar -o dart-sdk.tar -v

however, i wasn't able to reproduce correct behavior on my computer. maybe it's just github not supporting the If-Modified-Since-header...

@GeReinhart

If you use an url like https://storage.googleapis.com/dart-archive/channels/stable/release/latest/editor/darteditor-linux-x64.zip, you want to refresh each time the sdk (as you are linked to the latest darteditor) .

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment